package q02b.exe.comun.valueobjects;



import java.util.Date;



import javax.mail.Multipart;



import q02b.exe.arquitectura.valueobjects.Q02bValueObject;



public class Q02bMessage extends Q02bValueObject{



	private static final long serialVersionUID = 3947574194874128326L;



	//Atributos del mensaje

	private String niMensaje			= 	"";

	private String from					=	"";

	private String to					=	"";

	private String subject				=	"";

	private String txtMsg				=	"";

	private String messageId			= 	"";

	private Date   sentDate				=	null;

	private String niEstado				= 	"";

	private String numError				= 	"";

	//Atributos de los ficheros adjuntos

	private Multipart		multipart   = 	null;

	

	private Q02bAttachment[]  attachment = 	null;



	//Constructor

	public Q02bMessage(){}



	//ATRIBUTOS DEL MENSAJE

	public String getNiMensaje() {

		return niMensaje;

	}

	public void setNiMensaje(String niMensaje) {

		this.niMensaje = niMensaje;

	}

	

	public String getFrom() {

		return from;

	}

	public void setFrom(String from) {

		this.from = from;

	}



	public String getTo() {

		return to;

	}

	public void setTo(String to) {

		this.to = to;

	}



	public String getSubject() {

		return subject;

	}

	public void setSubject(String subject) {

		this.subject = subject;

	}



	public String getTxtMsg() {

		return txtMsg;

	}

	public void setTxtMsg(String txtMsg) {

		this.txtMsg = txtMsg;

	}

	

	public String getMessageId() {

		return messageId;

	}

	public void setMessageId(String messageId) {

		this.messageId = messageId;

	}



	public Date getSentDate() {

		return sentDate;

	}

	public void setSentDate(Date sentDate) {

		this.sentDate = sentDate;

	}

	

	public String getNiEstado() {

		return niEstado;

	}

	public void setNiEstado(String niEstado) {

		this.niEstado = niEstado;

	}

	

	public String getNumError() {

		return numError;

	}

	public void setNumError(String numError) {

		this.numError = numError;

	}

	

	public Multipart getMultipart() {

		return multipart;

	}

	public void setMultipart(Multipart multipart) {

		this.multipart = multipart;

	}

	

	public Q02bAttachment[] getAttachment(){

		return attachment;

	}

	public void setAttachment(Q02bAttachment[] attachment) {

		this.attachment = attachment;

	}

}

